/*
 * GOCLOCK - 対局時計
 * common.h: 共通ヘッダ・定義等
 */

#ifndef COMMON_H
#define COMMON_H

/*************************************************************************/

#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <pspuser.h>
#include <pspaudio.h>
#include <pspctrl.h>
#include <pspdisplay.h>
#include <pspge.h>
#include <pspgu.h>
#include <psppower.h>

/* スレッド優先度設定 */
#define THREADPRI_MAIN          32
#define THREADPRI_SOUND         30
#define THREADPRI_SYSTEM_CB     25

/* 便利マクロ */
#define lenof(a)  (sizeof((a)) / sizeof((a)[0]))

/* デバッグメッセージ出力マクロ */
/* global shared */ char DMSG_buffer[10000];
#define DMSG(msg,...)  do { \
    snprintf(DMSG_buffer, sizeof(DMSG_buffer), "%s(%s:%d): " msg "\n", \
             __FUNCTION__, __FILE__, __LINE__ , ## __VA_ARGS__); \
    sceIoWrite(2, DMSG_buffer, strlen(DMSG_buffer)); \
} while (0)

/*************************************************************************/

#endif  // COMMON_H

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
